# Copyright 2009-2022 CERN. Licensed under LGPLv3+.

Name:           HEP_OSlibs
Version:        9.0.1
Release:        1%{?dist}
Summary:        HEP OS dependencies
Group:          System/Middleware
License:        LGPLv3+
ExclusiveArch:  x86_64 aarch64

Requires: attr(%{__isa})
Requires: autoconf
Requires: automake
Requires: bzip2(%{__isa})
Requires: bzip2-devel(%{__isa})
#Requires: ccache(%{__isa}) # EPEL
Requires: cmake(%{__isa})
Requires: cyrus-sasl-devel(%{__isa})
Requires: file(%{__isa})
Requires: gcc(%{__isa})
Requires: gcc-c++(%{__isa})
Requires: gcc-gfortran(%{__isa})
Requires: gdb(%{__isa})
Requires: gdbm-devel(%{__isa})
Requires: git(%{__isa})
Requires: glibc-devel(%{__isa})
Requires: gmp-devel(%{__isa})
Requires: jq(%{__isa})
Requires: libaio-devel(%{__isa})
Requires: libcap-devel(%{__isa})
Requires: libcurl-devel(%{__isa})
Requires: libnsl(%{__isa})
Requires: libtirpc-devel(%{__isa})
Requires: libtool(%{__isa})
Requires: libuuid-devel(%{__isa})
Requires: libxcb-devel(%{__isa})
Requires: libxml2-devel(%{__isa})
Requires: libXpm-devel(%{__isa})
Requires: libXt-devel(%{__isa})
Requires: lz4-devel(%{__isa})
Requires: make(%{__isa})
Requires: mesa-libGL-devel(%{__isa})
Requires: mesa-libGLU-devel(%{__isa})
Requires: motif-devel(%{__isa})
Requires: ncurses-devel(%{__isa})
Requires: net-tools(%{__isa})
Requires: openssl-devel(%{__isa})
Requires: patch(%{__isa})
Requires: perl-Thread-Queue
#Requires: python2(%{__isa}) # NOT AVAILABLE FOR EL9
Requires: python3(%{__isa})
Requires: readline-devel(%{__isa})
#Requires: redhat-lsb-core(%{__isa}) # NOT AVAILABLE FOR EL9
Requires: rpm-build(%{__isa})
Requires: rsync(%{__isa})
Requires: subversion(%{__isa})
Requires: tcl-devel(%{__isa})
Requires: telnet(%{__isa})
Requires: tk-devel(%{__isa})
Requires: unzip(%{__isa})
Requires: which(%{__isa})
Requires: xorg-x11-xbitmaps
Requires: xorg-x11-xinit(%{__isa})
#Requires: xrootd-client(%{__isa}) # EPEL
Requires: xz(%{__isa})
Requires: xz-devel(%{__isa})
Requires: zlib-devel(%{__isa})

%description
This rpm captures the OS dependencies of the LHC experiment applications on 
CentOS Streams9. The list of packages was compiled by the SPI team as the minimal 
list of runtime and devel packages needed to build the LCG software stack.
Though the primary target of this rpm is CentOS Streams9/x86_64, the use of generic 
%{__isa} tags simplifies support for non-x86 architectures, such as aarch64
(see https://rpm.org/user_doc/arch_dependencies.html).

%files
%defattr(-,root,root,-)
%doc

%changelog

* Fri Jun 17 2022 Andrea Valassi 9.0.1-1 (x86_64 and aarch64)
[Requestor: J. Ling (ATLAS)]
Add telnet (needed for dask-like job orchestration).
Require 53 packages on x86_64 and aarch64 (49 x86-64/aarch-64, 4 noarch).

* Tue May 03 2022 Andrea Valassi 9.0.0-3 (x86_64 and aarch64)
First successful build of a CentOS Streams9 version. This is derived from 
the CentOS Streams8 version 8.0.3-4, after removing the python2 and 
redhat-lsb-core dependencies, as they are not available for el9.
Require 52 packages on x86_64 and aarch64 (48 x86-64/aarch-64, 4 noarch).

* Tue May 03 2022 Andrea Valassi 9.0.0-2 (x86_64 and aarch64)
[Requestor: E. Moyse (ATLAS), R. Castellotti (CERN IT)]
First attempted build of a CentOS Streams9 version. This is derived from 
the CentOS Streams8 version 8.0.3-4, using as-is the same list of packages.
This is built on koji using the "aux9" tag, resulting in ".el9" suffixes.
Require 54 packages on x86_64 and aarch64 (50 x86-64/aarch-64, 4 noarch).
